ProcedureResult (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne, class: ProcedureResult

# Class ProcedureResult<T>

java.lang.Object
org.apache.cayenne.util.GenericQueryResult<T>
org.apache.cayenne.ProcedureResult<T>

All Implemented Interfaces:
  `Iterable<QueryResultItem>, QueryResult<T>`

public class ProcedureResult<T> extends GenericQueryResult<T>
Result of procedure call.

Since:
  4.0

- ## Field Summary

  ### Fields inherited from class GenericQueryResult

  `resultClass, resultItems`
  Modifier and Type
  Field
  Description
  `protected Class<T>`
  `resultClass`
  `protected List<QueryResultItem>`
  `resultItems`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcedureResult(List<QueryResultItem> resultItems)`
  `ProcedureResult(List<QueryResultItem> resultItems, Class<T> resultClass)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getOutParam(String paramName)`
  Returns procedure OUT parameter by its name defined in the mapping file.

  ### Methods inherited from class GenericQueryResult

  `firstBatchUpdateCount, firstList, firstUpdateCount, isList, iterator, size`
  Modifier and Type
  Method
  Description
  `int[]`
  `firstBatchUpdateCount()`
  A utility method for quickly retrieving the first batch update count array from the response.
  `List<T>`
  `firstList()`
  A utility method for quickly retrieving the first list in the response.
  `int`
  `firstUpdateCount()`
  A utility method for quick retrieval of the first update count from the response.
  `boolean`
  `isList()`
  Returns whether current iteration result is a list or an update count.
  `Iterator<QueryResultItem>`
  `iterator()`
  `int`
  `size()`
  Returns a number of results in the response.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### ProcedureResult

    public ProcedureResult(List<QueryResultItem> resultItems)

  - ### ProcedureResult

    public ProcedureResult(List<QueryResultItem> resultItems, Class<T> resultClass)

- ## Method Details

  - ### getOutParam

    public Object getOutParam(String paramName)
    Returns procedure OUT parameter by its name defined in the mapping file.